Skip to content

For a specific version, retrieve all sections (documents and subsection) in a binder's top-level root node or sub-level node.

GET/api/{version}/objects/binders/{binder_id}/versions/{major_version}/{minor_version}/sections/{section_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{binder_id}The binder id field value.
{major_version}The binder major_version_number__v field value.
{minor_version}The binder minor_version_number__v field value.
{section_id}Retrieve all sections (documents and subsections) in a binder's sub-level node. If not included, all sections from the binder's top-level root node will be returned.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.2/objects/binders/29/versions/0/2/sections
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.2/objects/binders/29/versions/0/2/sections/1457560348267:1179700878

See Retrieve Binder Sections response above.